package com.its.wthr.process;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DbmsJobType {
    public static final int DATA_TYPE_UNIT_SYST_STTS    = 0;
    public static final int DATA_TYPE_ATMP              = 1;
    public static final int DATA_TYPE_FRCS              = 2;

    public static String getTypeName(int code) {

        switch (code) {
            case DATA_TYPE_UNIT_SYST_STTS   : return "UNIT_SYST_STTS";//0;
            case DATA_TYPE_ATMP             : return "ATMP";
            case DATA_TYPE_FRCS             : return "FRCS";
        }
        return "Unknown";
    }
}
